Skip to navigation

Get a workload.

View as Markdown

Retrieve workload data using a workloadId.

Authentication

AuthorizationBearer
Bearer authentication

Path parameters

workloadIdstringRequiredformat: "uuid"

The Universally Unique Identifier (UUID) of the workload.

Response

Executed successfully.
tenantIdinteger
The id of the tenant.
runningPodsinteger
phaseUpdatedAtdatetime
k8sPhaseUpdatedAtdatetime
updatedAtdatetime
sourceenum
Allowed values:
deletedAtdatetime or null
typestring
namestring
idstringformat: "uuid"
priorityinteger or null
priorityClassNamestring
clusterIdstringformat: "uuid"
The id of the cluster.
projectNamestring
projectIdstring
departmentNamestring
departmentIdstring
namespacestring
createdAtdatetime
phaseenum
conditionslist of objects
k8sPhasestring
categorystring
Category Description
submittedBystringOptional
workloadRequestedResourcesobjectOptional
podsRequestedResourcesobjectOptional
allocatedResourcesobjectOptional
actionsSupportobjectOptional
The actions support provided for the workload.
phaseMessagestringOptional
requestedPodsobjectOptional
requestedNodePoolslist of stringsOptional
currentNodePoolslist of stringsOptional
completedAtdatetime or nullOptional
imageslist of stringsOptional
urlslist of stringsOptional

DEPRECATED: This field is deprecated. Use Get workload endpoints to retrieve workload network endpoints instead.Requires cluster version 2.25 or above.

datasourceslist of objectsOptional
environmentslist of objectsOptional
externalConnectionslist of objectsOptional

DEPRECATED: This field is deprecated. Use Get workload endpoints to retrieve workload network endpoints instead.Requires cluster version 2.25 or above.

distributedFrameworkstringOptional
additionalFieldsmap from strings to anyOptional
preemptibleboolean or nullOptional
preemptibilitystring or nullOptional
environmentVariablesmap from strings to stringsOptional
commandstringOptional
argumentsstringOptional
phaseReasonenum or nullOptional
Allowed values:
idleAllocatedGpusdouble or nullOptional
sum of idle allocated gpus in the workload
totalPendingTimeSecondsinteger or nullOptional
The total cumulative time, in seconds, that the workload has spent in the Pending phase since submission.
totalRunningTimeSecondsinteger or nullOptional
The total cumulative time, in seconds, that the workload has spent in the Running phase since submission.
guaranteedRuntimeEndsAtdatetime or nullOptional

A timestamp indicating when the workload will reach its minimum guaranteed runtime, as defined by minGuaranteedRuntime. Until this time, the workload is considered non-preemptible and cannot be interrupted by higher-priority workloads.

aiApplicationIdstringOptional
aiApplicationNamestringOptional
sourceApienumOptional
Allowed values:
topologyobject or nullOptional

The workload’s network topology. Populated whenever the workload requested topology constraints, or runs on nodepools associated with a network topology.

endpointslist of objectsOptional
List of network endpoints through which the workload is exposed.
kubernetesRefobjectOptional
Reference to the underlying Kubernetes object's API group and version. Null when not set.
pendingSchedulingMessageslist of objects or nullOptional

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error
503
Service Unavailable Error